Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::PayloadSpanUtil Class Reference

Experimental class to get set of payloads for most standard Lucene queries. Operates like Highlighter - IndexReader should only contain doc of interest, best to use MemoryIndex. More...

`#include <PayloadSpanUtil.h>`

Inheritance diagram for Lucene::PayloadSpanUtil:

## Public Member Functions

| PayloadSpanUtil (const IndexReaderPtr &reader)
virtual | ~PayloadSpanUtil ()
virtual String | getClassName ()
boost::shared_ptr< PayloadSpanUtil > | shared_from_this ()
Collection< ByteArray > | getPayloadsForQuery (const QueryPtr &query)
| Query should be rewritten for wild/fuzzy support. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Member Functions

void | queryToSpanQuery (const QueryPtr &query, Collection< ByteArray > payloads)
void | getPayloads (Collection< ByteArray > payloads, const SpanQueryPtr &query)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

IndexReaderPtr | reader
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Experimental class to get set of payloads for most standard Lucene queries. Operates like Highlighter - IndexReader should only contain doc of interest, best to use MemoryIndex.

## Constructor & Destructor Documentation

Lucene::PayloadSpanUtil::PayloadSpanUtil | ( | const IndexReaderPtr & | reader | ) |

Parameters

  reader | That contains doc with payloads to extract

virtual Lucene::PayloadSpanUtil::~PayloadSpanUtil | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::PayloadSpanUtil::_getClassName | ( |  | ) |

inline static

virtual String Lucene::PayloadSpanUtil::getClassName | ( |  | ) |

inline virtual

void Lucene::PayloadSpanUtil::getPayloads | ( | Collection< ByteArray > | payloads,
|  | const SpanQueryPtr & | query
| ) |  |

protected

Collection<ByteArray> Lucene::PayloadSpanUtil::getPayloadsForQuery | ( | const QueryPtr & | query | ) |

Query should be rewritten for wild/fuzzy support.

Returns
  payloads Collection

void Lucene::PayloadSpanUtil::queryToSpanQuery | ( | const QueryPtr & | query,
|  | Collection< ByteArray > | payloads
| ) |  |

protected

boost::shared_ptr< PayloadSpanUtil > Lucene::PayloadSpanUtil::shared_from_this | ( |  | ) |

inline

## Field Documentation

IndexReaderPtr Lucene::PayloadSpanUtil::reader

protected

The documentation for this class was generated from the following file:

- PayloadSpanUtil.h

clucene.sourceforge.net